List = {}
function List.new()
	return {first = 0, last = -1}
end
function List.pushleft (list, value)
	local first = list.first - 1
	list.first = first
	list[first] = value
end
function List.pushright (list, value)
	local last = list.last + 1
	list.last = last
	list[last] = value
end
function List.popleft (list)
	local first = list.first
	if first > list.last then error("list is empty") end
	local value = list[first]
	list[first] = nil        -- to allow garbage collection
	list.first = first + 1
	return value
end
function List.popright (list)
	local last = list.last
	if list.first > last then error("list is empty") end
	local value = list[last]
	list[last] = nil         -- to allow garbage collection
	list.last = last - 1
	return value
end

function List.newQueue()
	return {
		first = 0,
		last = -1,
		enqueue = function (self, value) return List.pushright(self, value) end,
		poll = function (self) return List.popleft(self) end,
		peek = function (self) return self[self.first] end
	}
end

function List.newStack()
	return {
		first = 0,
		last = -1,
		push = function (self, value) return List.pushleft(self, value) end,
		pop = function (self) return List.popleft(self) end,
		peek = function (self) return self[self.first] end
	}
end

function List.newDoubleList()
	return {
		first = 0,
		last = -1,
		pushLeft = function (self, value) return List.pushleft(self, value) end,
		pushRight = function (self,value) return List.pushRight(self, value) end,
		popLeft = function (self) return List.popLeft(self) end,
		popRight = function (self) return List.popRight(self) end,
		peekLeft = function (self) return self[self.first] end,
		peekRight = function (self) return self[self.last] end
	}
end
