require "math"
require "list"
local clock = os.clock

w, h = love.window.getMode()

screen = {}

colours = {
    {155, 0, 0},
    {0, 155, 0},
    {0, 0, 155},
    {155, 155, 0}
}
brightColours = {
    {255, 0, 0},
    {0, 255, 0},
    {0, 0, 255},
    {255, 255, 0}
}

gameScreen = require "gameScreen"
menuScreen = require "menuScreen"

love.graphics.setColour = love.graphics.setColor

love.graphics.setFont(love.graphics.newFont(32))

function sleep(n)  -- seconds
    local t0 = clock()
    while clock() - t0 <= n do end
end

function love.load()
    screen = menuScreen
end
function love.draw()

	screen:draw()
end

function love.mousepressed(x, y, button, istouch)
    screen:mousepressed(x, y, button, istouch)
end

function love.mousereleased(x, y, button, istouch)
	screen:mousereleased(x, y, button, istouch)
end

function love.keypressed(key)
    screen:keypressed(key)
end

function love.update(dt)
    screen:update(dt)
end
