return {
	flashSquare = {
		x = w/16,
		y = h/8,
		size = h * 6/8,
		timer = 1,
		colourCounter = 1,
		colour = colours[1]
	},
	buttons = {
		[1] = {
			name="Play",
			action=function()
				gameScreen:load()
				screen=gameScreen
			end,
			x=w* 5/8,
			y=h/8,
			sizeX=80,
			sizeY=h*3/4,
			colour={100,100,100},
			pressed=false
		},
		[2] = {
			name="Quit",
			action=function() love.event.quit() end,
			x=w* 5/8 + 80 + 40,
			y=h/8,
			sizeX=80,
			sizeY=h*3/4,
			colour={100,100,100},
			pressed=false
		}
	},

	draw = function(self)
		for i,v in ipairs(self.buttons) do
			love.graphics.setColor(v.colour)
			love.graphics.rectangle("fill", v.x, v.y, v.sizeX, v.sizeY, 10)
			love.graphics.setColor{255,255,255}
			love.graphics.printf(v.name, -15+v.x+v.sizeX/2, v.y+v.sizeY/2+50, 100, "center", 3*math.pi/2)
		end

		love.graphics.setColor(self.flashSquare.colour)
		love.graphics.rectangle("fill", self.flashSquare.x, self.flashSquare.y, self.flashSquare.size, self.flashSquare.size, 20, 20)

		if score then
			love.graphics.setColor{255,255,255}
			love.graphics.printf("Game Over\n\nScore: " .. score, w/4, h/2+150, 300, "center", 3*math.pi/2)
		end


	end,

	update = function(self, dt)
		self.flashSquare.timer = self.flashSquare.timer - dt
		if self.flashSquare.timer < 0 then
			self.flashSquare.colourCounter = self.flashSquare.colourCounter + 1
			if self.flashSquare.colourCounter > 4 then
				self.flashSquare.colourCounter = 1
			end
			self.flashSquare.colour = colours[self.flashSquare.colourCounter]
			self.flashSquare.timer = 1
		end
	end,

	mousepressed = function(self, x, y, button, istouch)
		for i,v in ipairs(self.buttons) do
			if x>=v.x and x<=v.x+v.sizeX and y>=v.y and y<=v.y+v.sizeY then
				v.colour={200,200,200}
				v.pressed = true
			end
		end
	end,

	mousereleased = function(self, x, y, button, istouch)
		for i,v in ipairs(self.buttons) do
			if x>=v.x and x<=v.x+v.sizeX and y>=v.y and y<=v.y+v.sizeY and v.pressed then
				v.action()
			end
			v.pressed = false
			v.colour = {100, 100, 100}
		end
	end,

	keypressed = function(self, key)
		if key == "escape" then
			love.event.quit()
		end
	end
}
